Bug 595842 - krb5's libgssrpc/kadmin/kadmind needs to support IPv6 connections
Summary: krb5's libgssrpc/kadmin/kadmind needs to support IPv6 connections
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5   
(Show other bugs)
Version: 6.0
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: BaseOS QE Security Team
URL: http://krbdev.mit.edu/rt/Ticket/Displ...
Whiteboard:
Keywords:
Depends On:
Blocks: 519903 594247
TreeView+ depends on / blocked
 
Reported: 2010-05-25 18:35 UTC by Nalin Dahyabhai
Modified: 2011-05-19 13:11 UTC (History)
7 users (show)

Fixed In Version: krb5-1.9-1.el6
Doc Type: Bug Fix
Doc Text:
This field is the basis of the errata or release note for this bug. It can also be used for change logs. The Technical Note template, known as CCFR, is as follows: Cause The gssrpc library included in the krb5 package, and applications such as kadmin and kadmind which use it, are not able to make or accept connections using IPv6. Consequence On systems where a kadmin client/server pair do not both have IPv4 addresses, the kadmin client is not able to connect to the kadmind server, even if the hosts on which they are running have IPv6 addresses configured. Fix The kadmin server was modified to also listen for connections from clients over IPv6, and the kadmin client was modified to attempt connections using both IPv4 and IPv6 addresses, as available, when attempting to connect to a server.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 13:11:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0571 normal SHIPPED_LIVE krb5 bugfix update 2011-05-18 17:57:04 UTC

Description Nalin Dahyabhai 2010-05-25 18:35:04 UTC
The kadmin client and server, and the gssrpc library on which they are based, don't appear to support IPv6 connections.

Comment 11 Florian Nadge 2011-05-07 09:34:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This field is the basis of the errata or release note for this bug. It can also be used for change logs.

The Technical Note template, known as CCFR, is as follows:

Cause
    What actions or circumstances cause this bug to present.
Consequence
    What happens when the bug presents.
Fix
    What was done to fix the bug.

Comment 12 Nalin Dahyabhai 2011-05-09 20:47:37 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -3,8 +3,8 @@
 The Technical Note template, known as CCFR, is as follows:
 
 Cause
-    What actions or circumstances cause this bug to present.
+    The gssrpc library included in the krb5 package, and applications such as kadmin and kadmind which use it, are not able to make or accept connections using IPv6.
 Consequence
-    What happens when the bug presents.
+    On systems where a kadmin client/server pair do not both have IPv4 addresses, the kadmin client is not able to connect to the kadmind server, even if the hosts on which they are running have IPv6 addresses configured.
 Fix
-    What was done to fix the bug.+    The kadmin server was modified to also listen for connections from clients over IPv6, and the kadmin client was modified to attempt connections using both IPv4 and IPv6 addresses, as available, when attempting to connect to a server.

Comment 13 errata-xmlrpc 2011-05-19 13:11:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0571.html


Note You need to log in before you can comment on or make changes to this bug.